# Class Thelia\Action\Cart | thelia

# Class Cart

  Thelia\Action\BaseAction
  Thelia\Action\Cart

Namespace: Thelia\Action
Author: Manuel Raynaud <mraynaud@openstudio.fr>
Located at core/lib/Thelia/Action/Cart.php

Methods summary

`public`

# `addCart( Symfony\Component\HttpFoundation\Request $request )`

add an article to cart

#### Parameters

$request
  `Symfony\Component\HttpFoundation\Request`
  $request

`public`

# `deleteArticle( Symfony\Component\HttpFoundation\Request $request )`

Delete specify article present into cart

#### Parameters

$request
  `Symfony\Component\HttpFoundation\Request`
  $request

`public`

# `modifyArticle( Symfony\Component\HttpFoundation\Request $request )`

Modify article's quantity

#### Parameters

$request
  `Symfony\Component\HttpFoundation\Request`
  $request

Methods inherited from Thelia\Action\BaseAction
`__construct(), getDispatcher()`

Properties inherited from Thelia\Action\BaseAction
`$dispatcher`